Trouble upgrading from 1.2.20

Get help from other users here.

Moderators: Developer, Contributor

Post Reply
johnnyrwarner
Posts: 4
Joined: 15 Nov 2020, 17:51

Trouble upgrading from 1.2.20

Post by johnnyrwarner »

I have successfully migrated a version 1.2.0 database from an old system to a new system running CENTOS 8 (keeping the version at 1.2.0)
Then I also succeeded upgrading 1.2.0 to 1.2.20 on the new system

But I am failing miserably to get it upgraded to anything later than 1.2.20. Even 1.3.0 fails.

It goes through the install process OK with no errors but when I try to login it doesn't recognise any account. I can use the default admin login but the database is empty.

I had to manually generate a $g_crypto_master_salt value. 1.2.20 does not appear to use this and it is compulsory in 1.3 and later. I have no idea whether this is related or not.

This is my config file (which works OK in 1.2.x)

$g_hostname = 'localhost';
$g_db_type = 'mysql';
$g_database_name = 'mantis_5';
$g_db_username = 'mantis';
$g_db_password = 'secretvalue';

$g_db_table_prefix = '';

$g_crypto_master_salt = 'averylongsecretstring' ;

$g_db_type is set to mysqli in some of the later versions I have tried. (I have tried a few).

I should mention that I am pretty ignorant about mysql but have managed to save and restore using instructions I have found.

I can't help feeling I am missing some simple but vital step. Can anyone help?
cas
Posts: 1054
Joined: 11 Mar 2006, 16:08
Contact:

Re: Trouble upgrading from 1.2.20

Post by cas »

When upgrading to 1.2.21 (or 1.3), did you follow the instructions in the admin guide?
johnnyrwarner
Posts: 4
Joined: 15 Nov 2020, 17:51

Re: Trouble upgrading from 1.2.20

Post by johnnyrwarner »

Yes, I followed the instructions here:
https://www.mantisbt.org/docs/master/en ... ll.upgrade
johnnyrwarner
Posts: 4
Joined: 15 Nov 2020, 17:51

Re: Trouble upgrading from 1.2.20

Post by johnnyrwarner »

I should mention (following previous reply) that I thought 1.2.20 was the latest 1.2 so have not attempted to update to 1.2.21 or later 1.2 version. 1.3 and later is the problem.
cas
Posts: 1054
Joined: 11 Mar 2006, 16:08
Contact:

Re: Trouble upgrading from 1.2.20

Post by cas »

Check the database itself to see if any data exists.
You can do that with a, free, tool like phpmyadmin.
If its empty your upgrade did not work at all.
In that case you need to start again :mrgreen:
johnnyrwarner
Posts: 4
Joined: 15 Nov 2020, 17:51

Re: Trouble upgrading from 1.2.20

Post by johnnyrwarner »

Thanks for your help, I have fixed it now. phpmyadmin was useful to look inside the database and that showed what the problem was.

The original database had no prefix to the table names. Don't know why, but probably had something to do with it being originally installed via Plesk.

It would seem that from version 1.3 if you enter blank i.e. '' for the prefix it defaults to 'mantis'. So a whole load of new tables were created which were empty with name prefixed with 'mantis'.

I deleted the new tables and renamed the old ones so that they had a 'mantis' prefix and now it works.

I have it working for 1.3. I will now upgrade to the latest version - hopefully that will go smoothly.
Post Reply